package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.Subscription_typeRepository;
import com.realnet.basicp1.Entity.Subscription_type;

import com.realnet.basicp1.Entity.Subscription_type_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Subscription_type_ListFilter1Service {
@Autowired
private Subscription_typeRepository Repository;




 public   List<Subscription_type_ListFilter1>   getlistbuilder() {
	List<Subscription_type> list= Repository.findAll();
		ArrayList<Subscription_type_ListFilter1> l = new ArrayList<>();
		for (Subscription_type data : list) {
{	
Subscription_type_ListFilter1 dummy = new Subscription_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setType(data.getType());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Subscription_type_ListFilter1>   getlistbuilderparam( ) {
	List<Subscription_type> list= Repository.findAll();
		ArrayList<Subscription_type_ListFilter1> l = new ArrayList<>();
		for (Subscription_type data : list) {
{	
Subscription_type_ListFilter1 dummy = new Subscription_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setType(data.getType());
	l.add(dummy);
} 
} 		
return l;}
}